`Build.Funcat.graph.from.selected.nodes` <-
function(g, nodes, transitive.closure=TRUE)  {
  # nodes control
	x <- intersect(nodes, nodes(g));
	y <- intersect(nodes,x);
	if (length(nodes)!=length(y))
	  stop("Selected nodes are not present in the graph");
	if (transitive.closure==TRUE) {
	   nodes <- Funcat.transitive.closure(nodes);
	}
	subg<-subGraph(nodes,g);
	return(subg);
}

