`Compute.depth.statistics.GO.graph` <-
function(g, ontology="BP") {  
 d <- Compute.distances.from.root(g, ontology=ontology); 
 avg.dist <- mean(d);
 median.dist <- median(d);
 sd.dist <- sd(d);
 q <- quantile(d);
 return(list(avg=avg.dist, median=median.dist, sd=sd.dist, quant=q));
}

