`Compute.statistics.Funcat.degree` <-
function(g) { 
 d <- degree(g);
 avg.class <- mean(d$outDegree);
 median.class <- median(d$outDegree);
 sd.class <- sd(d$outDegree);
 q <- quantile(d$outDegree);
 outDegree <- list(avg=avg.class, median=median.class, sd=sd.class, quant=q);
 return(list(outDegree=outDegree, degree=d));
}

