`Do.binary.data.homology` <-
function(l) {
 # building binary data of homology.
 sp2code<-Code.homology.org(l);
 num.genes <- length(l);
 num.org<-length(ls(sp2code));
 m <- matrix(integer(num.genes*num.org), nrow=num.genes);
 len <- length(l);
 for (i in 1:len) {
   elem <- l[[i]];
	 len.elem <- length(elem);
	 for (j in 1:len.elem) 
		 m[i,get(elem[[j]]$homoOrg, sp2code)] <- 1;
 }
 rownames(m)<-names(l);
 species.code <- mget(ls(sp2code),sp2code);
 v<-vector();
 v[as.integer(species.code)] <- ls(sp2code);
 colnames(m)<-v;
 return(m);
}

