`Do.float.data.homology` <-
function(l) {
 sp2code<-Code.homology.org(l);
 num.genes <- length(l);
 num.org<-length(ls(sp2code));
 m <- matrix(numeric(num.genes*num.org), nrow=num.genes);
 len <- length(l);
 for (i in 1:len) {
   elem <- l[[i]];
	 len.elem <- length(elem);
	 for (j in 1:len.elem)
	   if (elem[[j]]$homoType == "c") {
		    m[i,get(elem[[j]]$homoOrg, sp2code)] <- 1;  
		 } else {
		    sp.code <- get(elem[[j]]$homoOrg, sp2code);
				points <- elem[[j]]$homoPS/100;
		    if (m[i,sp.code] < points)
			     m[i,sp.code] <- points;   	
		 } 
 }
 rownames(m)<-names(l);
 species.code <- mget(ls(sp2code),sp2code);
 v<-vector();
 v[as.integer(species.code)] <- ls(sp2code);
 colnames(m)<-v;
 return(m);
}

