\name{ATDESCRIPTION}
\alias{ATDESCRIPTION}
\docType{data}
\title{ Description of A. thaliana AGI identifiers}
\description{
  This is an R environment (hash table) mapping AGI identifiers to their corresponding protein description.
}
\usage{data(ATDESCRIPTION)}
\format{
  An environment with 29993 entries
}
\details{
The environment provides protein descrition of the model higher plant Arabidopsis thaliana.
AGI identifiers are Keys and the corresponding protein description are Values. 
Values are character vectors.  
}
\source{
Data have been downloaded from Arabidopsis Information Resource (TAIR): 
  \url{http://www.arabidopsis.org}
}

\examples{
data(ATDESCRIPTION);
str(ATDESCRIPTION); 
get("at1g01100",ATDESCRIPTION);
}
\keyword{datasets}
