\name{Extract.class}
\alias{Extract.class}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function to extract the examples belonging to a given GO/Funcat class }
\description{
  Function to extract the examples belonging to a given GO/Funcat class.
  It may be used with both GO and Funcat ontologies
}
\usage{
Extract.class(Table.gene.class, class)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Table.gene.class}{ a data frame with variables corresponding to GO/Funcat classes and rows to a given gene. If a gene
belongs to the GO/Funcat class the corresponding variable is set to 1 otherwise to 0 }
  \item{class}{ a GO/Funcat class. It may be the integer code of the class or a string of the corresponding GO/FunCat ID }
}
\value{
  a data frame: Each row corresponds to a gene belonging to class. 
	            The variables are:
              gene.names : strings with the name of the gene
              indices : the integer index of the gene
}

\seealso{ \code{\link{Get.matrix.data.without.ancestors}}, \code{\link{Get.matrix.data.from.parent.only}} }
\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{manip }
