`Build.GO.class.labels` <-
function(NamesToGO, store=FALSE, file="Table.gene.GO.classes.rda") {
   Extract.rows <- function(x) {
     ii<<-ii+1; 
	   x[NamesToGO[[ii]]] <-1;
	   return(x);
   }
   Gene.names <- names(NamesToGO);
	 l <- Code.decode.classes(NamesToGO);
	 nrows <- length(Gene.names);
	 ncol<-(length(l[[1]]));
	 class.labels <- matrix(integer(nrows*ncol),nrow=nrows);
	 rownames(class.labels) <- Gene.names;
	 colnames(class.labels) <- l[[1]];
	 ii<<-0; 
   res <- apply(class.labels,1,Extract.rows);  
	 class.labels <- t(res);  
	 if (store) 
	   save(class.labels, file=file);
	 rm(ii, pos=.GlobalEnv);
	 return(as.data.frame(class.labels));
}

