`Code.decode.classes` <-
function(NamesToClasses) {
  len <- length(NamesToClasses);
	Code.to.ClassID <- vector();
	for (i in 1:len) 
	  Code.to.ClassID <- c(Code.to.ClassID, NamesToClasses[[i]]);
	# Code.to.ClassID <- sapply(NamesToFuncat, function(x) x);
	Code.to.ClassID <- sort(unique(Code.to.ClassID));  # unique GO ID are stored in a vector whose index is the corresponding class coding	
	# building the hash table GO ID -> class code={1,2, ..., numberofGOclasses}
	ClassID.to.Code <- new.env(hash=TRUE);
	for (i in 1:len)
	  assign(Code.to.ClassID[i], i, ClassID.to.Code);	
	return(list(Code.to.ClassID=Code.to.ClassID,ClassID.to.Code=ClassID.to.Code));
}
