`Get.matrix.positive.data.for.classid` <-
function(Table.gene.class,classid,data.matrix){
  cl.genes <- Extract.class(Table.gene.class,classid);
  
	data.matrix.gene.names <- rownames(data.matrix);
	common.positive.gene.names <- intersect(data.matrix.gene.names, as.character(cl.genes$gene.names));
  exprs.cl <- data.matrix[common.positive.gene.names,];

  exprs.cl[is.na(exprs.cl)] <- 0;
	
	return (exprs.cl);
}
