`Get.yeast.Funcat.specific.classes` <-
function(evidence="") {
  if (!exists("YEASTFUNCAT"))
	  data(YEASTFUNCAT);
  YeastNamesToFuncat <- eapply(YEASTFUNCAT, Select.Funcat.evidence, evidence=evidence);
  # YeastNamesToFuncat is a named list of vectors. Each element of the list corresponds to a named yeast gene and the elements
  # of the vector are the corresponding Funcat classes ID 
	len <- length(YeastNamesToFuncat);
	j=0;
	for (i in 1:len) {
	  if (!is.null(YeastNamesToFuncat[[i]])) {
		  j <- j+1;
		  YeastNamesToFuncat[[j]]<-YeastNamesToFuncat[[i]];
			names(YeastNamesToFuncat)[j] <- names(YeastNamesToFuncat)[i];
		}	
	}
	length(YeastNamesToFuncat)<-j;
	return(YeastNamesToFuncat);
}

