\name{Code.decode.classes}
\alias{Code.decode.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Coding  GO/FunCat classes to integers }
\description{
   Function that codes  GO/FunCat classes to integers 
  It provides a vector of class ID: the index of the vector is the corresponding integer code of the class.
  The function return also an hash table to obtain the integer code of the class from the GO/FunCat ID.
	This function is primarily intended for internal usage. It is used by  \code{Build.Funcat.Table.labels} and  \code{Build.GO.class.labels}. 
}
\usage{
Code.decode.classes(NamesToClasses)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{NamesToClasses}{ named list of vectors. Each element of the list corresponds to a named  gene and the elements
  of the vector are the corresponding GO/FunCat classes ID.  }
}
\value{
  A list with two elements:
  \item{Code.to.ClassID }{A vector of GOID. The indices of the vector  correspond to the  integer codes of the classes.
                It maps Class integer codes --> GOID}
  \item{ClassID.to.Code }{an environment (hash table) that associates ClassIDs to integer codes of the classes.
              It maps GO/FunCat ID --> Class integer codes}
}
\seealso{  \code{\link{Build.Funcat.Table.labels}},  \code{\link{Build.GO.class.labels}}}
\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }

