\name{HUMANGO}
\alias{HUMANGO}
\docType{data}
\title{ Human Entrez Gene ID identifiers to Gene Ontology (GO) mapping}
\description{
  This environment provides a mapping between human genes and GO terms.
}
\usage{data(HUMANGO)}
\format{
  An environment (hash table) with 17281 entries 
}
\details{
  The environment provides GO annotations for human genes.
EntrezGene identifiers are Keys and GO terms Values.
More precisely each Value is a list of lists. Each element of the outer list represent a mapping
to a GO term. The elements of the inner list are:
\item  GOID : GO Identifier
\item  Evidence :  Evidence code
\item  Ontology : "BP", "MF" or "CC"  
}
\source{
The environment is built using the Bioconductor environments \code{humanLLMappingsLL2GO} and   \code{GOENTREZID2GO}
}
\examples{
data(HUMANGO);
get("23",HUMANGO);
}
\keyword{datasets}
